# Uses of Enum Class
javafx.application.Preloader.StateChangeNotification.Type

Packages that use Preloader.StateChangeNotification.Type
Package
Description
javafx.application
Provides the application life-cycle classes.

## Uses of Preloader.StateChangeNotification.Type in javafx.application

Methods in javafx.application that return Preloader.StateChangeNotification.Type
Modifier and Type
Method
Description
`Preloader.StateChangeNotification.Type`
Preloader.StateChangeNotification.`getType()`
Returns the type of notification.
`static Preloader.StateChangeNotification.Type`
Preloader.StateChangeNotification.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Preloader.StateChangeNotification.Type[]`
Preloader.StateChangeNotification.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javafx.application with parameters of type Preloader.StateChangeNotification.Type
Modifier
Constructor
Description
``
`StateChangeNotification(Preloader.StateChangeNotification.Type notificationType)`
Constructs a StateChangeNotification of the specified type.
``
`StateChangeNotification(Preloader.StateChangeNotification.Type notificationType, Application application)`
Constructs an StateChangeNotification of the specified type for the specified application.